
////////// liquid ///////////

textures/liquid/pool3d_5egreen
	{
		qer_editorimage textures/liquid/pool3d_5egreen.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		q3map_surfacelight 60
		q3map_lightrgb .3 .95 .3
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/liquid/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquid/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquid/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendfunc gl_dst_color gl_src_color
			rgbgen identity		
		}
}

textures/liquid/pool3d_5egreen_lava
	{
		qer_editorimage textures/liquid/pool3d_5egreen.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm lava
		q3map_surfacelight 300
		q3map_lightrgb .3 .95 .3
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/liquid/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquid/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquid/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendfunc gl_dst_color gl_src_color
			rgbgen identity		
		}
	}

textures/liquid/waterfall
{
 qer_editorimage textures/liquid/lavafall_1.tga
 q3map_surfacelight 100
 q3map_globaltexture
 surfaceparm nolightmap
 surfaceparm nomarks
 surfaceparm nonsolid
 surfaceparm trans
 deformVertexes bulge .4 .2 .6
 {
   map textures/liquid/lavafall_1.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
   tcMod scroll 0 -1
 }
     {
            map textures/liquid/lavafall_2.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll .05 -.8
     }
     {
            map textures/liquid/lavafall_3.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.05 -.65
     }
     {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbgen identity
     }
}

textures/liquid/water_icy
{
    q3map_lightImage textures/liquid/grey.tga
    qer_editorImage textures/liquid/black.tga
    surfaceparm nodamage
    surfaceparm slick
    q3map_surfaceLight 300
    {
        map $lightmap
    }
    {
        map textures/liquid/black.tga
        blendFunc filter
    }
    {
        map textures/liquid/watertint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

////////// light ///////////

textures/light/light
{
	qer_editorImage textures/light/light.jpg
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/light/light.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/light/light.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/light/light_green
{
	qer_editorImage textures/light/light_green.jpg
	q3map_surfacelight 3000
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/light/light_green.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/light/light_green.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/light/cei_strip_light_br
{
	qer_editorimage textures/light/e6v_light.tga
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 5000
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/light/e6v_light.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/light/e6v_light_blend.tga
		blendfunc add
		//blendfunc gl_src_color gl_one
	}
}

textures/light/beam_white
{
	q3map_baseshader textures/light/beam_white
 	cull disable
 	cull none
	surfaceparm	nonsolid
	{
		map textures/light/beam_white.tga
		tcMod Scroll .3 0
		blendFunc add
	}
}

textures/light/u_lamplong1_or
{
	qer_editorimage textures/light/u_lamplong1_or.jpg
	q3map_lightimage textures/light/u_lamplong1_or_blend.jpg
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map textures/light/u_lamplong1_or.jpg
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/light/u_lamplong1_or_blend.jpg
		blendfunc gl_one_minus_dst_color gl_one
		rgbGen wave sin 0.9 0.09 0 1 
	}
}


////////// glass ///////////

textures/misc/glass_pad
{
	qer_editorimage textures/misc/scyan_tron256_256.jpg
     	surfaceparm trans
	surfaceparm nodamage
	//surfaceparm slick
	surfaceparm pointlight
	surfaceparm nodamage
	q3map_surfacelight 500
	q3map_lightsubdivide 32
	{
	map textures/misc/scyan_tron256_256.jpg
      blendfunc add
	rgbGen vertex
	}
	{
           map "textures/misc/tint.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/misc/glass_pad_slick
{
	qer_editorimage textures/misc/scyan_tron256_256.jpg
     	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm pointlight
	surfaceparm nodamage
	q3map_surfacelight 500
	q3map_lightsubdivide 32
	{
	map textures/misc/scyan_tron256_256.jpg
      blendfunc add
	rgbGen vertex
	}
	{
           map "textures/misc/tint.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/misc/tele_bleuciel
{      
	qer_editorImage textures/misc/teleport_bleuciel.tga
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfaceLight 150
	q3map_lightSubdivide 256
	q3map_bounceScale 0.15
	cull none
	noPicMip 
	deformVertexes autosprite
	{
		clampMap textures/misc/teleglow_bleuciel.tga
		blendFunc filter
		alphaGen vertex
		//tcMod stretch sin 0.4 0.1 0 0.8
		//alphagen wave sin .75 .5 .6 1.5
		//alphaGen const 0.1
	}
	{
		clampMap textures/misc/teleport_bleuciel.tga
		blendFunc filter
		alphaGen vertex
		tcMod stretch sin 0.7 0.25 0 0.5
		tcMod rotate 120
		
		alphagen wave sin .75 .5 .6 1.5
	}
	{
		clampMap textures/misc/teleport_bleuciel.tga
		blendFunc filter
		alphaGen vertex
		tcMod stretch sin 0.7 0.25 0.3 0.75
		tcMod rotate -80
		alphagen wave sin .75 .5 .6 1.5
	}
	{
		clampMap textures/misc/teleport_bleuciel.tga
		blendFunc filter
		alphaGen vertex
		tcMod stretch sin 0.7 0.25 0.6 1.0
		tcMod rotate 11
		alphagen wave sin .75 .5 .6 1.5
	}
}

textures/misc/glass2
{
	qer_editorimage textures/misc/glass2.tga  
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	qer_trans 0.5
			 {
			map textures/misc/glass2.tga       
	        rgbGen wave sin 0.69 0.35 0 0.1
			tcGen environment
			blendfunc GL_ONE GL_ONE
	         }
}

textures/misc/glass_icy
{
	qer_editorimage textures/misc/glass_icy.tga  
	surfaceparm nodamage
     surfaceparm slick
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	qer_trans 0.5
			 {
			map textures/misc/glass_icy.tga       
	        rgbGen wave sin 0.69 0.35 0 0.1
			tcGen environment
			blendfunc GL_ONE GL_ONE
	         }
	{
		map "textures/misc/tint2.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}

}

////////// misc ///////////

textures/misc/support2
{
	surfaceparm	metalsteps	
	surfaceparm nodamage
	//surfaceparm slick
    	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	//surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/misc/support2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/misc/v_grate
{
	qer_editorimage textures/misc/v_grate.tga
	surfaceparm nomarks
	surfaceparm trans
     surfaceparm nodamage
	nopicmip
	{
		map textures/misc/v_grate.tga
		rgbGen identity
		depthWrite
		alphaFunc LT128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/misc/v_grate_nonS
{
	qer_editorimage textures/misc/v_grate.tga
	surfaceparm nomarks
	surfaceparm trans
     	surfaceparm nonsolid
	surfaceparm nodamage
	nopicmip
	{
		map textures/misc/v_grate.tga
		rgbGen identity
		depthWrite
		alphaFunc LT128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/misc/sky
{
    qer_editorimage "env/sky19_up.jpg"
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm nodlight
    surfaceparm sky
    nopicmip
    nomipmaps
    q3map_globaltexture
    q3map_lightmapFilterRadius 0 8
    q3map_sunExt 0.909 0.714 0.373 280 50 60 3 12
    q3map_skyLight 165 5
    q3map_lightRGB 0.94 0.91 0.85
    skyparms "env/sky19" - -
}

textures/deco/wait
{
qer_editorimage textures/deco/wait.tga
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/deco/wait.tga
blendfunc filter
}
}

textures/misc/camera
{
	qer_editorimage textures/misc/camera.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	portal
	{
		map textures/misc/camera.tga
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 2048
    }
}

textures/deco/welcome
{
    qer_editorImage textures/deco/welcome.tga
    polygonOffset
    {
        map textures/deco/welcome.tga
        blendFunc blend
        rgbGen wave sin 0.75 0.25 0 0.4
        alphaGen const 1
    }
}

textures/deco/test
{
    qer_editorImage textures/deco/test.tga
    polygonOffset
    {
        map textures/deco/test.tga
        blendFunc blend
        rgbGen wave sin 0.75 0.25 0 0.4
        alphaGen const 1
    }
}

textures/deco/lapin
{
    qer_editorImage textures/deco/lapin.tga
    polygonOffset
    {
        map textures/deco/lapin.tga
        blendFunc blend
        rgbGen wave sin 0.75 0.25 0 0.4
        alphaGen const 1
    }
}

textures/deco/urt
{
    qer_editorImage textures/deco/urt-jumping.tga
    polygonOffset
    {
        map textures/deco/urt-jumping.tga
        blendFunc blend
        rgbGen wave sin 0.75 0.25 0 0.4
        alphaGen const 1
    }
}

textures/deco/lounge
{
    qer_editorImage textures/deco/lounge.tga
    polygonOffset
    {
        map textures/deco/lounge.tga
        blendFunc blend
        rgbGen wave sin 0.75 0.25 0 0.4
        alphaGen const 1
    }
}

textures/deco/j2
{
qer_editorimage textures/deco/j2.jpg
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/deco/j2.jpg
blendFunc blend
alphaGen const 1
}
}

textures/deco/j3
{
qer_editorimage textures/deco/j3.jpg
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/deco/j3.jpg
blendFunc blend
alphaGen const 1
}
}

textures/deco/j4
{
qer_editorimage textures/deco/j4.jpg
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/deco/j4.jpg
blendFunc blend
alphaGen const 1
}
}

textures/deco/j5
{
qer_editorimage textures/deco/j5.jpg
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/deco/j5.jpg
blendFunc blend
alphaGen const 1
}
}

textures/deco/j6
{
qer_editorimage textures/deco/j6.jpg
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/deco/j6.jpg
blendFunc blend
alphaGen const 1
}
}

textures/deco/j7
{
qer_editorimage textures/deco/j7.jpg
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/deco/j7.jpg
blendFunc blend
alphaGen const 1
}
}

textures/deco/end
{
qer_editorimage textures/deco/end.jpg
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/deco/end.jpg
blendFunc blend
alphaGen const 1
}
}

////////// wall_floor ///////////

textures/wall_floor/icy
{
    q3map_lightImage textures/misc/tint.tga
    qer_editorImage textures/wall_floor/icy.jpg
    surfaceparm slick
    {
        map textures/wall_floor/icy.jpg
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/misc/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/wall_floor/m1
{
    	qer_editorimage textures/wall_floor/m1.jpg
	{
        map textures/wall_floor/m1.jpg
    	}
	{
        map $lightmap
        blendFunc filter
    	}
}

textures/wall_floor/m1_door
{
    	qer_editorimage "textures/wall_floor/m1_door.jpg"
	{
		map "textures/wall_floor/m1_door.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map "textures/misc/tint2.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/wall_floor/m2
{
    	qer_editorimage textures/wall_floor/m2.jpg
	{
        map textures/wall_floor/m2.jpg
    	}
	{
        map $lightmap
        blendFunc filter
    	}
}

textures/wall_floor/m3
{
    	qer_editorimage textures/wall_floor/m3.jpg
	{
        map textures/wall_floor/m3.jpg
    	}
	{
        map $lightmap
        blendFunc filter
    	}
}

textures/wall_floor/m4_slick
{
    	qer_editorimage textures/wall_floor/m4.jpg
	surfaceparm slick
	{
        map textures/wall_floor/m4.jpg
    	}
	{
        map $lightmap
        blendFunc filter
    	}
}

textures/wall_floor/wj
{
    	qer_editorimage textures/wall_floor/wj.jpg
	{
        map textures/wall_floor/wj.jpg
    	}
	{
        map $lightmap
        blendFunc filter
    	}
}

textures/wall_floor/z1
{
    	qer_editorimage textures/wall_floor/zone_1.jpg
	{
        map textures/wall_floor/zone_1.jpg
    	}
	{
        map $lightmap
        blendFunc filter
    	}
}

textures/wall_floor/z2
{
    	qer_editorimage textures/wall_floor/zone_2.jpg
	{
        map textures/wall_floor/zone_2.jpg
    	}
	{
        map $lightmap
        blendFunc filter
    	}
}

textures/wall_floor/m1_orange
{
    	qer_editorimage textures/wall_floor/m1_orange.jpg
	{
        map textures/wall_floor/m1_orange.jpg
    	}
	{
        map $lightmap
        blendFunc filter
    	}
}

textures/wall_floor/roche
{
	qer_editorimage "textures/wall_floor/con05.tga"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/wall_floor/con05.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/wall_floor/wood
{
    	qer_editorimage textures/wall_floor/wood.jpg
	{
        map textures/wall_floor/wood.jpg
    	}
	{
        map $lightmap
        blendFunc filter
    	}
}

textures/wall_floor/fleche
{
    	qer_editorimage textures/wall_floor/fleche.jpg
	{
        map textures/wall_floor/fleche.jpg
    	}
	{
        map $lightmap
        blendFunc filter
    	}
}


